body{
    margin: 30px;
}
 
.rating{
    width: 200px;
    height: 40px;
    position: relative;
    background: #ccc;
    overflow: hidden;
    flex: none;
}
.stars{
    position: relative;
    width: 200px;
    height: 40px;
    background: url(./img/star.svg);
    background-size: 40px 40px;
    z-index: 2;
}
.bg{
    position: absolute;
    width: 200px;
    height: 40px;
    background: #ffcc00;
    z-index: 1;
}
.rateWrap{
    display: flex;
    align-items: center;
}
.rateValue{
    margin-left: 10px;
}

.progressBarWrapper {
    width: 500px;
    margin-top: 30px;
}

.progressBar {
    overflow: hidden;
    position: relative;
    width: 210px;
    background-color: #ffffff;
    border-radius: 20px;
    box-shadow: inset 0 2px 5px rgba(0, 0, 0, .2);
}

.progressBarFill {
    display: block;
    height: 22px;
    background:  repeating-linear-gradient(0deg, #86ee46, #2cc218 11px, #86ee46 21px);
    transition: width 500ms ease-in-out;
}
.fillPercent{
    position: absolute;
    top: 2px;
    left: 50%;
    transform: translateX(-50%)
}

button{
    margin: 10px 5px;
    border-radius: 8px;
    outline: none;
    box-sizing: border-box;
    border: 1px solid transparent;
}
button:active{
    transform: translate3d(1px, 1px, 0);
}
.btnDark{
    color: #fff;
    background-color: #343a40;
    border-color: #343a40;
}
.btnDark:hover{
    color: #212529;
    background-color: #f8f9fa;
    border-color: #f8f9fa;
}
.btnLight{
    background-color: #ededed;
    border-color: #d0d0d0;
}
.btnLight:hover{
    color: #212529;
    background-color: #e2e6ea;
    border-color: #dae0e5;
}
.btnBlue{
    color: #fff;
    background-color: #007bff;
    border-color: #007bff;
}
.btnBlue:hover {
    color: #fff;
    background-color: #0069d9;
    border-color: #0062cc;
}
.bigBtn{
    width: 150px;
    height: 35px;
    font-size: 20px;
}
.standartBtn{
    width: 80px;
    height: 20px;
    font-size: 10px;
}
.littleBtn{
    width: 30px;
    height: 10px;
    font-size: 5px;
}
.btnLeft{
    float: left;
}
.btnRight{
    float: right;
}
.btnCenter{
    margin: 0 auto;
    display: block;
}
.button {
    width: 100%;
    height: 40px;
}

.browsers { 
    height: 70px;
    min-width:700px;
    align-items: center;
    margin: 20px;
}
.imageAlt{
    display: flex;
}
.imageAlt p{
    font-size: 30px;
    margin: 0;
}
.browsersWrap{
    display: flex;
    float: left;
    align-items: center;
    height: 100%;
}
.imageWrap{
    position: relative;
}
.browsersWrap .imageWrap{
    margin-right: 70px;
}
.image{
    background: #fff;
    position: absolute;
    top: -15px;
    left: 0;
}
.ieWrap .image{
    top: 0;
}
.browsersWrap .imageWrap:last-child{
    margin-right: 0px;
}
.ieWrap{
    float: right;
}
.ieWrap .imageAlt{
    display: flex;
    flex-direction: column;
}
.red{
    color: red;
}
.green{
    color: green;
}
.yellow{
    color: yellow;
}
.orange{
    color: orangered;
}
.grey{
    color: gray;
}
.blue{
    color: blue;
}
.textWrap{
    margin-top: 100px;
    font-family: sans-serif;
}
.pWrap{
    font-size: 16px;
    display: flex;
}
.textBlock{
    width: 415px;
}
.pWrap .textBlock:first-child{
    margin-right: 80px;
    width: 400px;
}
ul {
    list-style: none;
    padding: 0;
    margin-left: -15px;
}
ul li:before {
    content:  "—";
    position: relative;
    left:     -5px;
}
li a{
    color: #0070ed;
}
.dashed{
    color: #353434;
    text-decoration: none;
    border-bottom: 1px dashed #000080;
}
